%define name gupnp-vala
%define version 0.8.0
%define release %mkrel 1

Summary:        GUPnP is a uPnP framework. This adds vala language bindings
Summary(de):	GUPnp ist das uPnP Framework, dieses fügt die Vala Sprachen Bindung hinzu.
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Development/Other
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        http://www.gupnp.org/sources/bindings/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: vala-devel >= 0.7.0
BuildRequires: gssdp-devel >= 0.6.4
BuildRequires: gupnp-devel >= 0.12.6
BuildRequires: libgupnp-av-devel
BuildRequires: libgupnp-devel
BuildRequires: libsoup-devel
BuildRequires: vala-tools
Requires: vala >= 0.7.0
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2


%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

This package adds vala language bindings


#german
%description -l de
GUPnP ist ein Objekt orientiertes Open Source Framework für UPnP Geräte 
und Kontrollpunkte, geschrieben in C unter Nutzung von GObject und libsoup.
Das GUPnP API ist in der Tat einfach zu nutzen, dabei effizient und flexibel.  
 
Dieses Paket fügt die Vala Programmiersprache Bindungen hinzu.
%prep
%setup -q

%build
%configure2_5x


%make 

%install
rm -rf %{buildroot}
%makeinstall_std 


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%exclude %{_datadir}/vala/vapi/gssdp-1.0.deps
%{_datadir}/vala/vapi/gssdp-1.0.vapi
%{_datadir}/vala/vapi/gupnp-1.0.deps
%{_datadir}/vala/vapi/gupnp-1.0.vapi
%{_datadir}/vala/vapi/gupnp-av-1.0.deps
%{_datadir}/vala/vapi/gupnp-av-1.0.vapi
%{_libdir}/pkgconfig/gupnp-vala-1.0.pc

%changelog
* Sat Oct 15 2016 adrianomorselli <adrianomorselli> 0.8.0-1uplos2016
- rebuild for libvala removed API gupnp-ui

* Mon Apr 18 2011 Texstar <texstar at gmail.com> 0.8.0-1pclos2011
- 0.8.0

* Sat Nov 21 2009 slick50 <lxgator@gmail.com> 0.6-1pclos2010
- initial build
